clear 
set trace off 
set more off 
set mem 500m 
set matsize 2200 

capture log close 

cd "C:\Documents and Settings\sschurer\My Documents\PhD Thesis Stefanie Schurer\SAH and SES Panel Methods\JAE Changes" 

log using "Graphs for marginal effects robust check", replace 

#delimit ;

set scheme s1manual ;


forvalues s = 1(1)4 { ;


use using mecfel`s'_m, clear ;
append using mecfel`s'_f ;

append using mecfel`s'_m_alt ;
append using mecfel`s'_f_alt ;


local models "cfel`s' altme`s'" ;
local i = 1 ;
local j = 12 ;
foreach var of local models { ;
gen `var' = 0 in 1/24 ;
replace `var' = 1 in `i'/`j' ;
local i = `i' + 12 ;
local j = `j' + 12 ;
} ;

local i = 1 ;
local j = 0 ;
local t = 1 ;

local agegroups "1630 3140 4150 5160 6170 71" ;
foreach var of local agegroups { ;
gen a`var' = 0 ;
gen moda`var' = 0 ;
while `i' < 25 { ; 
replace a`var' = 1 in `i' ;
replace moda`var' = `t' in `i' ; 
local i = `i'  + 6 ;
local t = `t' + 1 ;
} ;
local j = `j' + 1 ;
local i = `j' + 1 ;
local t = 1 ;
} ;



foreach var of local agegroups { ;
recode moda`var' 1=0 3=6 4=8     ;
twoway 
rcap min`s'1 max`s'1 moda`var' if cfel`s'==1  & a`var'==1 & moda`var'==0, lcolor(black) lwidth(thick) || 
rcap min`s'1 max`s'1 moda`var' if cfel`s'==1  & a`var'==1 & moda`var'==2, lcolor(black) lwidth(thick) || 

rcap min`s'1 max`s'1 moda`var' if altme`s'==1  & a`var'==1 & moda`var'==6 ,lcolor(black) lwidth(thick) || 
rcap min`s'1 max`s'1 moda`var' if altme`s'==1  & a`var'==1 & moda`var'==8 , xaxis(1 2) lcolor(black) lwidth(thick) || 

scatter  me`s'1 moda`var' if a`var'==1 & (moda`var' == 0|moda`var' == 2|moda`var' == 6|moda`var' ==8), 
msymbol(dot) mcolor(black) || ,
plotregion(style(none))
xlabel(1 "ORIGINAL" 7 "ALT ME")
xlabel(0 "M" 2 "F" 6 "M" 8 "F" , axis(2) )
ylabel(,grid)
xline(4)
xline(10, axis(2))
ytitle("P(SWH>`s')",  size(small))
xtitle("") 
xtitle("", axis(2)) 
xscale(range(-2,10))
legend(off) ;
graph export "SWH_me`s'_`var'_rc.eps", 
as(eps) preview(on) replace ;
} ;

local s = `s' + 1 ;
} ;


log close ;

