clear 
set trace off 
set more off 
set mem 500m 
set matsize 2200 

capture log close 

cd "C:\Documents and Settings\sschurer\My Documents\PhD Thesis Stefanie Schurer\SAH and SES Panel Methods\JAE Changes" 

log using "Graphs for marginal effects male sample", replace 

#delimit ;

set scheme s1manual ;


forvalues s = 1(1)4 { ;

use mepol`s'_m, clear ;
append using mepol`s'_f ;
 
append using merelogit`s'_m ;
append using merelogit`s'_f ;

append using mecfel`s'_m ;
append using mecfel`s'_f ;


local models "pol`s' rel`s' cfel`s'" ;
local i = 1 ;
local j = 12 ;
foreach var of local models { ;
gen `var' = 0 in 1/36 ;
replace `var' = 1 in `i'/`j' ;
local i = `i' + 12 ;
local j = `j' + 12 ;
} ;

local i = 1 ;
local j = 0 ;
local t = 1 ;

local agegroups "1630 3140 4150 5160 6170 71" ;
foreach var of local agegroups { ;
gen a`var' = 0 ;
gen moda`var' = 0 ;
while `i' < 37 { ; 
replace a`var' = 1 in `i' ;
replace moda`var' = `t' in `i' ; 
local i = `i'  + 6 ;
local t = `t' + 1 ;
} ;
local j = `j' + 1 ;
local i = `j' + 1 ;
local t = 1 ;
} ;



foreach var of local agegroups { ;
recode moda`var' 1=0 6=14 3=6 4=8 5=12    ;
twoway 
rcap min`s'1 max`s'1 moda`var' if pol`s'==1  & a`var'==1 & moda`var'==0, lcolor(grey) lwidth(thick) || 
rcap min`s'1 max`s'1 moda`var' if pol`s'==1  & a`var'==1 & moda`var'==2, lcolor(grey) lwidth(thick) || 

rcap min`s'1 max`s'1 moda`var' if rel`s'==1  & a`var'==1 & moda`var'==6 ,lcolor(grey) lwidth(thick) || 
rcap min`s'1 max`s'1 moda`var' if rel`s'==1  & a`var'==1 & moda`var'==8 ,lcolor(grey) lwidth(thick) || 

rcap min`s'1 max`s'1 moda`var' if cfel`s'==1 & a`var'==1 & moda`var'==12,lcolor(grey) lwidth(thick) || 
rcap min`s'1 max`s'1 moda`var' if cfel`s'==1 & a`var'==1 & moda`var'==14, xaxis(1 2)lcolor(grey) lwidth(thick) || 

scatter  me`s'1 moda`var' if a`var'==1 & (moda`var' == 0|moda`var' == 2|moda`var' == 6|moda`var' ==8|
moda`var' ==12|moda`var' ==14), 
msymbol(dot) mcolor(black) || ,
plotregion(style(none))
xlabel(1 "POL" 7 "REL" 13 "CFEL" )
xlabel(0 "M" 2 "F" 6 "M" 8 "F" 12 "M" 14 "F", axis(2) )
ylabel(,grid)
xline(4 10)
xline(16, axis(2))
ytitle("P(SWH>`s')",  size(small))
xtitle("") 
xtitle("", axis(2)) 
xscale(range(-2,16))
legend(off) ;
graph export "SWH_me`s'_`var'_m.eps", 
as(eps) preview(on) replace ;
} ;

local s = `s' + 1 ;
} ;


log close ;

