clear 
set trace off 
set more off 
set mem 500m 
set matsize 2200 

capture log close 

cd "C:\Documents and Settings\sschurer\My Documents\PhD Thesis Stefanie Schurer\SAH and SES Panel Methods\JAE Changes" 

log using "Testing for coefficient equality JEA Schurer 13 July 2008 All Male", replace 


program drop _all 


#delimit ;

local s = 1 ;
while `s' < 5 { ;
clear ;




use "GSOEP (1984-2005) Workdata Jones and Schurer", clear ;

keep if male == 1 ;


global indepvars1 "east a3140 a4150 a5160  
a6170 a71 ya1630 ya3140 ya4150 ya5160 ya6170 ya71 
yrsedu unemp overtime wdisable separate single hhsize 
y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 
y1994 y1995 y1996 y1997 y1998 y1999 
y2000 y2001 y2003 y2004 y2005" ;

**** Chamberlain Approach applied to all four thresholds **** ;

	gen swhchamb = . ;
	replace swhchamb = 0 if swh <= `s' ; 
	replace swhchamb = 1 if (swh > `s' & swh !=.) ;
	by persnr: egen mswh = mean(swhchamb) ;
	count if (mswh<1 &  mswh > 0) ;
	drop mswh ;

clogit swhchamb $indepvars1, nolog group(persnr) ;

gen d = 0 ;
replace d = `s' if e(sample) == 1;
gen d`s' = 0 ;
replace d`s'=1 if e(sample)==1 ;
keep if d==`s' ;


sort persnr ;
by persnr: generate tid = _n ;
by persnr: generate total = _N ;

sort persnr year ;
save data`s', replace ;

local s = `s' + 1 ;

} ;


clear ;
use data1 ;
sort persnr year;
forvalues i = 2(1)4 { ;
append using data`i';
};


egen newid2 = group(persnr d);

forvalues i=1(1)4 { ;
replace d`i' = 0 if d`i'==. ;
}; 

#delimit ;
foreach var of global indepvars1 { ;
generate d2`var' = d2*`var' ;
generate d3`var' = d3*`var' ;
generate d4`var' = d4*`var' ;

} ;

#delimit ;
global indepvars2 "d2east d2a3140 d2a4150 d2a5160  
d2a6170 d2a71 d2ya1630 d2ya3140 d2ya4150 d2ya5160 d2ya6170 d2ya71 
d2yrsedu d2unemp d2overtime d2wdisable d2separate d2single d2hhsize d2y1984 d2y1985 d2y1986 d2y1987 d2y1988 
d2y1989 d2y1990 d2y1991 d2y1992 d2y1993 
d2y1994 d2y1995 d2y1996 d2y1997 d2y1998 d2y1999 
d2y2000 d2y2001 d2y2003 d2y2004 d2y2005" ;

global indepvars3 "d3east d3a3140 d3a4150 d3a5160  
d3a6170 d3a71 d3ya1630 d3ya3140 d3ya4150 d3ya5160 d3ya6170 d3ya71 
d3yrsedu d3unemp d3overtime d3wdisable d3separate d3single d3hhsize 
d3y1984 d3y1985 d3y1986 d3y1987 d3y1988 
d3y1989 d3y1990 d3y1991 d3y1992 d3y1993 
d3y1994 d3y1995 d3y1996 d3y1997 d3y1998 d3y1999 
d3y2000 d3y2001 d3y2003 d3y2004 d3y2005" ;

global indepvars4 "d4east d4a3140 d4a4150 d4a5160  
d4a6170 d4a71 d4ya1630 d4ya3140 d4ya4150 d4ya5160 d4ya6170 d4ya71 
d4yrsedu d4unemp d4overtime d4wdisable d4separate d4single d4hhsize 
d4y1984 d4y1985 d4y1986 d4y1987 d4y1988 
d4y1989 d4y1990 d4y1991 d4y1992 d4y1993 
d4y1994 d4y1995 d4y1996 d4y1997 d4y1998 d4y1999 
d4y2000 d4y2001 d4y2003 d4y2004 d4y2005" ;



clogit swhchamb $indepvars1 $indepvars2 $indepvars3 $indepvars4 d2 d3 d4, nolog group(newid2) ;
#delimit ;

forvalues i = 2(1)4 { ;
foreach var of varlist  d`i'ya1630 d`i'ya3140 d`i'ya4150 d`i'ya5160 d`i'ya6170 d`i'ya71 { ;
test `var'=0 ;
} ;
} ;
test d2ya1630 = d3ya1630 ; 
test d2ya1630 = d4ya1630 ;
test d3ya1630 = d4ya1630 ;

#delimit ;
test d2ya3140 = d3ya3140 ;
test d2ya3140 = d4ya3140 ;
test d3ya3140 = d4ya3140 ;

test d2ya4150 = d3ya4150 ; 
test d2ya4150 = d4ya4150 ; 
test d3ya4150 = d4ya4150 ; 

test d2ya5160 =d3ya5160 ; 
test d2ya5160 =d4ya5160 ;
test d3ya5160 =d4ya5160 ;

test d2ya6170= d3ya6170 ; 
test d2ya6170= d4ya6170 ;
test d3ya6170= d4ya6170 ;

test d2ya71= d3ya71 ; 
test d2ya71= d4ya71 ;
test d3ya71= d4ya71 ;


log close ;


#delimit cr 
clear 
set trace off 
set more off 
set mem 500m 
set matsize 2200 

capture log close 

cd "C:\Documents and Settings\sschurer\My Documents\PhD Thesis Stefanie Schurer\SAH and SES Panel Methods\JAE Changes" 

log using "Testing for coefficient equality JEA Schurer 13 July 2008 All Female", replace 


program drop _all 


#delimit ;

local s = 1 ;
while `s' < 5 { ;
clear ;




use "GSOEP (1984-2005) Workdata JAE", clear ;

keep if female == 1 ;


global indepvars1 "east a3140 a4150 a5160  
a6170 a71 ya1630 ya3140 ya4150 ya5160 ya6170 ya71 
yrsedu unemp overtime wdisable separate single hhsize 
y1984 y1985 y1986 y1987 y1988 y1989 y1990 y1991 y1992 y1993 
y1994 y1995 y1996 y1997 y1998 y1999 
y2000 y2001 y2003 y2004 y2005" ;

**** Chamberlain Approach applied to all four thresholds **** ;

	gen swhchamb = . ;
	replace swhchamb = 0 if swh <= `s' ; 
	replace swhchamb = 1 if (swh > `s' & swh !=.) ;
	by persnr: egen mswh = mean(swhchamb) ;
	count if (mswh<1 &  mswh > 0) ;
	drop mswh ;

clogit swhchamb $indepvars1, nolog group(persnr) ;

gen d = 0 ;
replace d = `s' if e(sample) == 1;
gen d`s' = 0 ;
replace d`s'=1 if e(sample)==1 ;
keep if d==`s' ;


sort persnr ;
by persnr: generate tid = _n ;
by persnr: generate total = _N ;

sort persnr year ;
save data`s', replace ;

local s = `s' + 1 ;

} ;


clear ;
use data1 ;
sort persnr year;
forvalues i = 2(1)4 { ;
append using data`i';
};


egen newid2 = group(persnr d);

forvalues i=1(1)4 { ;
replace d`i' = 0 if d`i'==. ;
}; 

#delimit ;
foreach var of global indepvars1 { ;
generate d2`var' = d2*`var' ;
generate d3`var' = d3*`var' ;
generate d4`var' = d4*`var' ;

} ;

#delimit ;
global indepvars2 "d2east d2a3140 d2a4150 d2a5160  
d2a6170 d2a71 d2ya1630 d2ya3140 d2ya4150 d2ya5160 d2ya6170 d2ya71 
d2yrsedu d2unemp d2overtime d2wdisable d2separate d2single d2hhsize d2y1984 d2y1985 d2y1986 d2y1987 d2y1988 
d2y1989 d2y1990 d2y1991 d2y1992 d2y1993 
d2y1994 d2y1995 d2y1996 d2y1997 d2y1998 d2y1999 
d2y2000 d2y2001 d2y2003 d2y2004 d2y2005" ;

global indepvars3 "d3east d3a3140 d3a4150 d3a5160  
d3a6170 d3a71 d3ya1630 d3ya3140 d3ya4150 d3ya5160 d3ya6170 d3ya71 
d3yrsedu d3unemp d3overtime d3wdisable d3separate d3single d3hhsize 
d3y1984 d3y1985 d3y1986 d3y1987 d3y1988 
d3y1989 d3y1990 d3y1991 d3y1992 d3y1993 
d3y1994 d3y1995 d3y1996 d3y1997 d3y1998 d3y1999 
d3y2000 d3y2001 d3y2003 d3y2004 d3y2005" ;

global indepvars4 "d4east d4a3140 d4a4150 d4a5160  
d4a6170 d4a71 d4ya1630 d4ya3140 d4ya4150 d4ya5160 d4ya6170 d4ya71 
d4yrsedu d4unemp d4overtime d4wdisable d4separate d4single d4hhsize 
d4y1984 d4y1985 d4y1986 d4y1987 d4y1988 
d4y1989 d4y1990 d4y1991 d4y1992 d4y1993 
d4y1994 d4y1995 d4y1996 d4y1997 d4y1998 d4y1999 
d4y2000 d4y2001 d4y2003 d4y2004 d4y2005" ;



#delimit ;
clogit swhchamb $indepvars1 $indepvars2 $indepvars3 $indepvars4 d2 d3 d4, nolog group(newid2) ;
forvalues i = 2(1)4 { ;
foreach var of varlist  d`i'ya1630 d`i'ya3140 d`i'ya4150 d`i'ya5160 d`i'ya6170 d`i'ya71 { ;
test `var'=0 ;
} ;
} ;
test d2ya1630 = d3ya1630 ; 
test d2ya1630 = d4ya1630 ;
test d3ya1630 = d4ya1630 ;

#delimit ;
test d2ya3140 = d3ya3140 ;
test d2ya3140 = d4ya3140 ;
test d3ya3140 = d4ya3140 ;

test d2ya4150 = d3ya4150 ; 
test d2ya4150 = d4ya4150 ; 
test d3ya4150 = d4ya4150 ; 

test d2ya5160 =d3ya5160 ; 
test d2ya5160 =d4ya5160 ;
test d3ya5160 =d4ya5160 ;

test d2ya6170= d3ya6170 ; 
test d2ya6170= d4ya6170 ;
test d3ya6170= d4ya6170 ;

test d2ya71= d3ya71 ; 
test d2ya71= d4ya71 ;
test d3ya71= d4ya71 ;

#delimit ;
foreach var of varlist  ya1630 ya3140 ya4150 ya5160 ya6170 ya71 { ;
test d2`var' = d3`var' = d4`var' = 0 ;
} ;




log close ;